Bug 104830 - ncpmount still not SUID root
ncpmount still not SUID root
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ncpfs (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 14:02 EDT by Jack Tanner
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 10:07:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jack Tanner 2003-09-22 14:02:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030624

Description of problem:
The change in bug 7511 seems to have regressed: ncpmount is not suid root (I
haven't checked the other executables mentioned in 7511). This is true for
ncpfs-2.2.1-1 (in RH 9) as well as for 2.2.3-1 (currently in Rawhide).

Version-Release number of selected component (if applicable):
ncpfs-2.2.1-1

How reproducible:
Always

Steps to Reproduce:
1. up2date-nox ncpfs
2. ls -alF `which ncpmount`


Actual Results:  Run ncpmount from a non-root account, and get
ncpmount must be installed suid root


Expected Results:  Either ncpmount should be installed suid root, or, if that's
a security problem, it should produce an error message saying that that is a
security problem.
Comment 1 Thomas Woerner 2004-10-07 10:07:13 EDT
It is indeed a security problem, closing as "NOT A BUG".

Note You need to log in before you can comment on or make changes to this bug.